Package net.md_5.bungee.serializer.dialog

# Class DialogSerializer

java.lang.Object
net.md_5.bungee.serializer.dialog.DialogSerializer

All Implemented Interfaces:
  `com.google.gson.JsonDeserializer<Dialog>`, `com.google.gson.JsonSerializer<Dialog>`

public class DialogSerializer extends Object implements com.google.gson.JsonDeserializer<Dialog>, com.google.gson.JsonSerializer<Dialog>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialogSerializer(VersionedComponentSerializer serializer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Dialog`
  `deserialize(com.google.gson.JsonElement jsonElement)`
  `Dialog`
  `deserialize(com.google.gson.JsonElement json, Type typeOfT, com.google.gson.JsonDeserializationContext context)`
  `Dialog`
  `deserialize(String json)`
  `com.google.gson.JsonElement`
  `serialize(Dialog src, Type typeOfSrc, com.google.gson.JsonSerializationContext context)`
  `com.google.gson.JsonElement`
  `toJson(Dialog dialog)`
  `String`
  `toString(Dialog dialog)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialogSerializer

    public DialogSerializer(VersionedComponentSerializer serializer)

- ## Method Details

  - ### toJson

    public com.google.gson.JsonElement toJson(Dialog dialog)

  - ### toString

    public String toString(Dialog dialog)

  - ### deserialize

    public Dialog deserialize(com.google.gson.JsonElement jsonElement)

  - ### deserialize

    public Dialog deserialize(String json)

  - ### deserialize

    public Dialog deserialize(com.google.gson.JsonElement json, Type typeOfT, com.google.gson.JsonDeserializationContext context) throws com.google.gson.JsonParseException
    Specified by:
      `deserialize` in interface `com.google.gson.JsonDeserializer<Dialog>`
    Throws:
      `com.google.gson.JsonParseException`

  - ### serialize

    public com.google.gson.JsonElement serialize(Dialog src, Type typeOfSrc, com.google.gson.JsonSerializationContext context)
    Specified by:
      `serialize` in interface `com.google.gson.JsonSerializer<Dialog>`